package com.bib.essensbestellungsverwaltung;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;
import java.sql.*;

public class HelloApplication extends Application {
    private static final String dbLocation = "jdbc:sqlite:"+HelloApplication.class.getResource("database/database.db");
    @Override
    public void start(Stage stage) throws IOException {
        FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("hello-view.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 320, 240);
        stage.setTitle("Hello World! von Richard");
        stage.setScene(scene);
        stage.show();
    }

    public static void main(String[] args) {
        String sql = """
                CREATE TABLE IF NOT EXISTS user (
                id integer PRIMARY KEY,
                name text);""";
        String sql2 = "SELECT * FROM user WHERE id > ?";
        String sql3 = "INSERT INTO user (id,name) VALUES (1,'test1')";
        try(Connection conn = connect();
            Statement stmt = conn.createStatement()){
            //stmt.execute(sql);
            //stmt.execute(sql3);
            PreparedStatement pstmt = conn.prepareStatement(sql2);
            pstmt.setInt(1,1);
            ResultSet rs = pstmt.executeQuery();
            while (rs.next()){
                System.out.println(rs.getInt("id"));
            }
        }catch (SQLException e){
            e.printStackTrace();
            return;
        }
        launch();
    }

    private static Connection connect(){
        Connection conn = null;
        try{
            conn = DriverManager.getConnection(dbLocation);
        }catch (SQLException e){
            e.printStackTrace();
        }
        return conn;
    }
}